Update proxy tags
curl --request POST \
--url https://api.proxyjam.com/public/v1/orders/{order_id}/tags \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"tags": [
{}
]
}
'import requests
url = "https://api.proxyjam.com/public/v1/orders/{order_id}/tags"
payload = { "tags": [{}] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: [{}]})
};
fetch('https://api.proxyjam.com/public/v1/orders/{order_id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Mobile rotating proxies
Update proxy tags
Replace the tag list on a mobile rotating proxy.
POST
/
orders
/
{order_id}
/
tags
Update proxy tags
Replaces the proxy’s tag list. Tags are free-form strings for organising and filtering proxies in your own tooling; they are not interpreted by the API.
Path parameters
string
required
UUID of the order backing the mobile rotating proxy.
Request body
array
required
Replacement tag list. Send an empty array to clear all tags.
Response
Live snapshot of the mobile rotating proxy with the updated tag list. Same shape as the mobile branch of Get order.Example
curl -X POST "https://api.proxyjam.com/public/v1/orders/997b4450-e7ae-4ad9-8a25-996e582049c9/tags" \
-H "X-API-Key: pj_AbCdEf..." \
-H "Content-Type: application/json" \
-d '{"tags": ["scrape", "prod"]}'
from proxyjam import ProxyJamClient
with ProxyJamClient(api_key="pj_live_...") as proxyjam:
proxy = proxyjam.proxies.set_tags(
"997b4450-e7ae-4ad9-8a25-996e582049c9",
["scrape", "prod"],
)
print(proxy.tags)
{
"type": "mobile",
"id": "997b4450-e7ae-4ad9-8a25-996e582049c9",
"status": "active",
"auto_renew": true,
"expires_at": "2026-12-31T23:59:59Z",
"host": "gw.proxyjam.com",
"port": 24534,
"username": "pj_abc",
"password": "<proxy-password>",
"current_ip": "203.0.113.99",
"signature": "android",
"tags": ["scrape", "prod"],
"whitelisted_ips": [],
"order_status": "provisioned",
"proxy_type": "mobile",
"ip_version": "IPv4",
"protocol": "HTTP",
"country": "US",
"city": null,
"isp": "T-Mobile",
"period_days": 1,
"bandwidth_gb": null,
"quantity": 1,
"total_usd": 1.5,
"total_amount": "1.50",
"currency": "USD",
"promo_code_id": null,
"discount_usd": null,
"created_at": "2026-12-30T23:59:59Z",
"updated_at": "2026-12-31T00:15:01Z",
"payment_intent_id": null,
"previous_expires_at": null
}
⌘I